<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">


    <RelativeLayout
        android:id="@+id/id_view_rl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:orientation="vertical"
        android:paddingLeft="15dp"
        android:paddingTop="40dp"
        android:paddingRight="15dp"
        android:paddingBottom="20dp">

        <ImageView
            android:id="@+id/id_goods_main_img"
            android:layout_width="100dp"
            android:layout_height="100dp"
            android:background="@drawable/shape_white_r5_stroke" />

        <TextView
            android:id="@+id/id_tv_box_goods_name"
            android:layout_width="wrap_content"
            android:layout_height="100dp"
            android:layout_marginRight="50dp"
            android:layout_toRightOf="@id/id_goods_main_img"
            android:padding="10dp"
            android:text=""
            android:textColor="@color/color_333333"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_box_goods_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignTop="@id/id_goods_main_img"
            android:layout_alignParentRight="true"
            android:layout_marginTop="10dp"
            android:text=""
            android:textColor="@color/color_333333"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/id_tv_box_goods_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@id/id_goods_main_img"
            android:layout_alignParentRight="true"
            android:layout_marginBottom="10dp"
            android:text=""
            android:textColor="@color/color_333333"
            android:textSize="14sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@id/id_goods_main_img"
            android:layout_marginTop="15dp"
            android:background="@color/color_ededed" />

        <!--    支付方式-->
        <LinearLayout
            android:id="@+id/id_ll_pay_fun_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/id_goods_main_img"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="20dp"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/id_rl_wechat_pay"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="10dp"
                android:background="@color/white"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/icon_weixin"
                    android:drawablePadding="5dp"
                    android:text="@string/pay_wechat"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/id_img_wechat"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_xuanzhong_default" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/id_rl_zfb_pay"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:visibility="gone">

                <TextView
                    android:id="@+id/id_tv_zfb_1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/zhifub"
                    android:drawablePadding="5dp"
                    android:text="@string/pay_zfb"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/id_img_ali"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_xuanzhong_default" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/id_rl_min_pay"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:visibility="gone">

                <TextView
                    android:id="@+id/id_tv_zfb_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/zhifub"
                    android:drawablePadding="5dp"
                    android:textColor="@color/color_333333"
                    android:textSize="14sp" />

                <ImageView
                    android:id="@+id/id_img_min_choose"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_xuanzhong_default" />
            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rcl_payment_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/id_ll_pay_fun_view"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/id_ll_pay_bottom"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_pay_bg_4c84ff"
                android:gravity="center">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="立即支付"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="4dp"
                    android:text="@string/box_detail_open_box_money_unit"
                    android:textColor="@color/white"
                    android:textSize="13sp"
                    android:textStyle="bold"
                    android:visibility="visible" />

                <TextView
                    android:id="@+id/id_activity_member_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    android:visibility="visible" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/id_ll_service"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:gravity="center"
                android:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="充值即同意"
                    android:textColor="#B4B4B4"
                    android:textSize="12sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="《增值服务协议》"
                    android:textColor="@color/color_333333"
                    android:textSize="12sp" />
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:text="未成年人请在家长监督下使用"
                android:textColor="@color/color_333333"
                android:textSize="12sp" />

        </LinearLayout>


    </RelativeLayout>

    <ImageView
        android:id="@+id/id_pay_dialog_close_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignTop="@id/id_view_rl"
        android:layout_alignParentRight="true"
        android:padding="10dp"
        android:src="@drawable/icon_guanbi" />

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>
</RelativeLayout>